/*
 * Class LINEAR [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1561 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1561 [] = {0xFF01,1551,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1561 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1561 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1561 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1561 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1561 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1561 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1561 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1561 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1561 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1561 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1561 [] = {1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1561 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1561 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1561 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1561 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1561 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1561[] = {
	{EIF_GENERIC(NULL), 8760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1561), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1561), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1561), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1561), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1561), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1561), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1561), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1561), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1561), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1561), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1561), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1561), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1561), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1561), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1561), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1561), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1561), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1561), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8754, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8758, 0xFFFFFFFF},
};
void Init1561(void)
{
	IDSC(desc_1561, 0, 1560);
	IDSC(desc_1561 + 1, 1, 1560);
	IDSC(desc_1561 + 32, 1134, 1560);
	IDSC(desc_1561 + 41, 1444, 1560);
	IDSC(desc_1561 + 50, 1534, 1560);
}


#ifdef __cplusplus
}
#endif
